Subject: [mobile-ip] Question of FA obtaining MAC addresses

From: "Shahrier, Sharif M." <[email-masked]>
Date: Wed, 31 Oct 2001 14:53:25 -0500

One of the "major changes" listed in rfc2002-bis is that the foreign agent
is not permitted to broadcast an ARP Request on all its local links, in
order to retreive the MAC address of a mobile node.

However, in RFC2002, I did not see any text that prohibits this action.
Could someone please confirm this, i.e. the FA is allowed to send Gratuitous
ARP's on its local links to determine MAC addresses, as per RFC2002?

Is the latter is acceptable, there there may be a backward compatibility
problem with existing deployments of foreign agents that do implement
Gratuitous ARP?

-Sharif.